Index: branches/SHM-1.0-dev/source/Lib/TLibCommon/TComDataCU.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibCommon/TComDataCU.cpp	(revision 32)
@@ -2146,37 +2146,37 @@
 Bool TComDataCU::xCheckZeroMVILRMerge(UChar uhInterDir, TComMvField& cMvFieldL0, TComMvField& cMvFieldL1)
 {
-	Bool checkZeroMVILR = true;
-
-	if(uhInterDir&0x1)  //list0
-	{
-		Int refIdxL0 = cMvFieldL0.getRefIdx();
-		if(getSlice()->getRefPic(REF_PIC_LIST_0, refIdxL0)->getIsILR())
-			checkZeroMVILR &= (cMvFieldL0.getHor() == 0 && cMvFieldL0.getVer() == 0);
-	}
-	if(uhInterDir&0x2)  //list1
-	{
-		Int refIdxL1  = cMvFieldL1.getRefIdx();
-		if(getSlice()->getRefPic(REF_PIC_LIST_1, refIdxL1)->getIsILR())
-			checkZeroMVILR &= (cMvFieldL1.getHor() == 0 && cMvFieldL1.getVer() == 0);
-	}
-
-	return checkZeroMVILR;
+  Bool checkZeroMVILR = true;
+
+  if(uhInterDir&0x1)  //list0
+  {
+    Int refIdxL0 = cMvFieldL0.getRefIdx();
+    if(getSlice()->getRefPic(REF_PIC_LIST_0, refIdxL0)->getIsILR())
+      checkZeroMVILR &= (cMvFieldL0.getHor() == 0 && cMvFieldL0.getVer() == 0);
+  }
+  if(uhInterDir&0x2)  //list1
+  {
+    Int refIdxL1  = cMvFieldL1.getRefIdx();
+    if(getSlice()->getRefPic(REF_PIC_LIST_1, refIdxL1)->getIsILR())
+      checkZeroMVILR &= (cMvFieldL1.getHor() == 0 && cMvFieldL1.getVer() == 0);
+  }
+
+  return checkZeroMVILR;
 }
 
 Bool TComDataCU::xCheckZeroMVILRMvdL1Zero(Int iRefList, Int iRefIdx, Int MvpIdx)
 {
-	RefPicList eRefPicList = iRefList > 0? REF_PIC_LIST_1: REF_PIC_LIST_0;
-	assert(eRefPicList == REF_PIC_LIST_1);
-
-	Bool checkZeroMVILR = true;
-
-	if(getSlice()->getRefPic(eRefPicList, iRefIdx)->getIsILR())
-	{
-		AMVPInfo* pcAMVPInfo = getCUMvField(eRefPicList)->getAMVPInfo();
-		TComMv    cMv        = pcAMVPInfo->m_acMvCand[MvpIdx];
-		checkZeroMVILR &= (cMv.getHor() == 0 && cMv.getVer() == 0);
-	}
-
-	return checkZeroMVILR;
+  RefPicList eRefPicList = iRefList > 0? REF_PIC_LIST_1: REF_PIC_LIST_0;
+  assert(eRefPicList == REF_PIC_LIST_1);
+
+  Bool checkZeroMVILR = true;
+
+  if(getSlice()->getRefPic(eRefPicList, iRefIdx)->getIsILR())
+  {
+    AMVPInfo* pcAMVPInfo = getCUMvField(eRefPicList)->getAMVPInfo();
+    TComMv    cMv        = pcAMVPInfo->m_acMvCand[MvpIdx];
+    checkZeroMVILR &= (cMv.getHor() == 0 && cMv.getVer() == 0);
+  }
+
+  return checkZeroMVILR;
 }
 #endif
Index: branches/SHM-1.0-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 32)
@@ -594,82 +594,82 @@
 
 
-	Int iBWidth   = pcPicBase->getPicYuvRec()->getWidth () - pcPicBase->getPicYuvRec()->getPicCropLeftOffset() - pcPicBase->getPicYuvRec()->getPicCropRightOffset();
-	Int iBHeight  = pcPicBase->getPicYuvRec()->getHeight() - pcPicBase->getPicYuvRec()->getPicCropTopOffset() - pcPicBase->getPicYuvRec()->getPicCropBottomOffset();
-
-	Int iEWidth   = getPicYuvRec()->getWidth() -  getPicYuvRec()->getPicCropLeftOffset() - getPicYuvRec()->getPicCropRightOffset();
-	Int iEHeight  = getPicYuvRec()->getHeight() - getPicYuvRec()->getPicCropTopOffset() -  getPicYuvRec()->getPicCropBottomOffset();
-
-
-	UInt upSampleRatio = 0;
-	if(iEWidth == iBWidth && iEHeight == iBHeight)
-	{
-		upSampleRatio = 2;
-	}
-	else if(2*iEWidth == 3*iBWidth && 2*iEHeight == 3*iBHeight)
-	{
-		upSampleRatio = 3;
-	}
-	else if(iEWidth == 2*iBWidth && iEHeight == 2*iBHeight)
-	{
-		upSampleRatio = 4;
-	}
-	else
-	{
-		assert(0);
-	}
-
-	for(UInt cuIdx = 0; cuIdx < getPicSym()->getNumberOfCUsInFrame(); cuIdx++)  //each LCU
-	{
-		UInt uiNumPartitions   = 1<<(g_uiMaxCUDepth<<1);
-
-		TComDataCU*             pcCUDes = getCU(cuIdx);
-
-		UInt uiWidthMinPU      = g_uiMaxCUWidth/(1<<g_uiMaxCUDepth);
-		UInt uiHeightMinPU     = g_uiMaxCUHeight/(1<<g_uiMaxCUDepth);
-		Int unitNum = max (1, (Int)((16/uiWidthMinPU)*(16/uiHeightMinPU)) ); 
-
-		for(UInt uiAbsPartIdx = 0; uiAbsPartIdx < uiNumPartitions; uiAbsPartIdx+=unitNum )  //each 16x16 unit
-		{
-			//pixel position of each unit in up-sampled layer
-			UInt	uiPelX = pcCUDes->getCUPelX() + g_auiRasterToPelX[ g_auiZscanToRaster[uiAbsPartIdx] ];
-			UInt	uiPelY = pcCUDes->getCUPelY() + g_auiRasterToPelY[ g_auiZscanToRaster[uiAbsPartIdx] ];
-			UInt uiBaseCUAddr, uiBaseAbsPartIdx;
-     		pcPicBase->deriveUnitIdxBase(uiPelX + 8, uiPelY + 8, upSampleRatio, uiBaseCUAddr, uiBaseAbsPartIdx);
-			if( (pcPicBase->getCU(uiBaseCUAddr)->getPredictionMode(uiBaseAbsPartIdx) != MODE_NONE) && (pcPicBase->getCU(uiBaseCUAddr)->getPredictionMode(uiBaseAbsPartIdx) != MODE_INTRA) )  //base layer unit not skip and invalid mode
-			{
-				for(UInt list = 0; list < 2; list++)  //each list
-				{ 
-					TComMv cMv = pcPicBase->getCU(uiBaseCUAddr)->getCUMvField((RefPicList)list)->getMv(uiBaseAbsPartIdx);
-					Int refIdx = pcPicBase->getCU(uiBaseCUAddr)->getCUMvField((RefPicList)list)->getRefIdx(uiBaseAbsPartIdx);
-
-					Int Hor =  ((Int)upSampleRatio * cMv.getHor())/2 ;
-					Int Ver =  ((Int)upSampleRatio * cMv.getVer())/2 ;
-
-					TComMv cScaledMv(Hor, Ver);
-					TComMvField sMvField;
-					sMvField.setMvField(cScaledMv, refIdx);
-
-					pcCUDes->getCUMvField((RefPicList)list)->setMvField(sMvField, uiAbsPartIdx);
-					pcCUDes->setPredictionMode(uiAbsPartIdx, MODE_INTER);
-				}
-			}
-
-			else
-			{
-				TComMvField zeroMvField;  //zero MV and invalid reference index
-				pcCUDes->getCUMvField(REF_PIC_LIST_0)->setMvField(zeroMvField, uiAbsPartIdx);
-				pcCUDes->getCUMvField(REF_PIC_LIST_1)->setMvField(zeroMvField, uiAbsPartIdx);
-				pcCUDes->setPredictionMode(uiAbsPartIdx, MODE_INTRA);
-			}
-
-			for(UInt i = 1; i < unitNum; i++ )  
-			{
-				pcCUDes->getCUMvField(REF_PIC_LIST_0)->setMvField(pcCUDes->getCUMvField(REF_PIC_LIST_0)->getMv(uiAbsPartIdx), pcCUDes->getCUMvField(REF_PIC_LIST_0)->getRefIdx(uiAbsPartIdx), uiAbsPartIdx + i);
-				pcCUDes->getCUMvField(REF_PIC_LIST_1)->setMvField(pcCUDes->getCUMvField(REF_PIC_LIST_1)->getMv(uiAbsPartIdx), pcCUDes->getCUMvField(REF_PIC_LIST_1)->getRefIdx(uiAbsPartIdx), uiAbsPartIdx + i);
-				pcCUDes->setPredictionMode(uiAbsPartIdx+i, pcCUDes->getPredictionMode(uiAbsPartIdx))  ;
-			}
-		}
-			memset( pcCUDes->getPartitionSize(), SIZE_2Nx2N, sizeof(char)*uiNumPartitions);
-	}
+  Int iBWidth   = pcPicBase->getPicYuvRec()->getWidth () - pcPicBase->getPicYuvRec()->getPicCropLeftOffset() - pcPicBase->getPicYuvRec()->getPicCropRightOffset();
+  Int iBHeight  = pcPicBase->getPicYuvRec()->getHeight() - pcPicBase->getPicYuvRec()->getPicCropTopOffset() - pcPicBase->getPicYuvRec()->getPicCropBottomOffset();
+
+  Int iEWidth   = getPicYuvRec()->getWidth() -  getPicYuvRec()->getPicCropLeftOffset() - getPicYuvRec()->getPicCropRightOffset();
+  Int iEHeight  = getPicYuvRec()->getHeight() - getPicYuvRec()->getPicCropTopOffset() -  getPicYuvRec()->getPicCropBottomOffset();
+
+
+  UInt upSampleRatio = 0;
+  if(iEWidth == iBWidth && iEHeight == iBHeight)
+  {
+    upSampleRatio = 2;
+  }
+  else if(2*iEWidth == 3*iBWidth && 2*iEHeight == 3*iBHeight)
+  {
+    upSampleRatio = 3;
+  }
+  else if(iEWidth == 2*iBWidth && iEHeight == 2*iBHeight)
+  {
+    upSampleRatio = 4;
+  }
+  else
+  {
+    assert(0);
+  }
+
+  for(UInt cuIdx = 0; cuIdx < getPicSym()->getNumberOfCUsInFrame(); cuIdx++)  //each LCU
+  {
+    UInt uiNumPartitions   = 1<<(g_uiMaxCUDepth<<1);
+
+    TComDataCU*             pcCUDes = getCU(cuIdx);
+
+    UInt uiWidthMinPU      = g_uiMaxCUWidth/(1<<g_uiMaxCUDepth);
+    UInt uiHeightMinPU     = g_uiMaxCUHeight/(1<<g_uiMaxCUDepth);
+    Int unitNum = max (1, (Int)((16/uiWidthMinPU)*(16/uiHeightMinPU)) ); 
+
+    for(UInt uiAbsPartIdx = 0; uiAbsPartIdx < uiNumPartitions; uiAbsPartIdx+=unitNum )  //each 16x16 unit
+    {
+      //pixel position of each unit in up-sampled layer
+      UInt  uiPelX = pcCUDes->getCUPelX() + g_auiRasterToPelX[ g_auiZscanToRaster[uiAbsPartIdx] ];
+      UInt  uiPelY = pcCUDes->getCUPelY() + g_auiRasterToPelY[ g_auiZscanToRaster[uiAbsPartIdx] ];
+      UInt uiBaseCUAddr, uiBaseAbsPartIdx;
+         pcPicBase->deriveUnitIdxBase(uiPelX + 8, uiPelY + 8, upSampleRatio, uiBaseCUAddr, uiBaseAbsPartIdx);
+      if( (pcPicBase->getCU(uiBaseCUAddr)->getPredictionMode(uiBaseAbsPartIdx) != MODE_NONE) && (pcPicBase->getCU(uiBaseCUAddr)->getPredictionMode(uiBaseAbsPartIdx) != MODE_INTRA) )  //base layer unit not skip and invalid mode
+      {
+        for(UInt list = 0; list < 2; list++)  //each list
+        { 
+          TComMv cMv = pcPicBase->getCU(uiBaseCUAddr)->getCUMvField((RefPicList)list)->getMv(uiBaseAbsPartIdx);
+          Int refIdx = pcPicBase->getCU(uiBaseCUAddr)->getCUMvField((RefPicList)list)->getRefIdx(uiBaseAbsPartIdx);
+
+          Int Hor =  ((Int)upSampleRatio * cMv.getHor())/2 ;
+          Int Ver =  ((Int)upSampleRatio * cMv.getVer())/2 ;
+
+          TComMv cScaledMv(Hor, Ver);
+          TComMvField sMvField;
+          sMvField.setMvField(cScaledMv, refIdx);
+
+          pcCUDes->getCUMvField((RefPicList)list)->setMvField(sMvField, uiAbsPartIdx);
+          pcCUDes->setPredictionMode(uiAbsPartIdx, MODE_INTER);
+        }
+      }
+
+      else
+      {
+        TComMvField zeroMvField;  //zero MV and invalid reference index
+        pcCUDes->getCUMvField(REF_PIC_LIST_0)->setMvField(zeroMvField, uiAbsPartIdx);
+        pcCUDes->getCUMvField(REF_PIC_LIST_1)->setMvField(zeroMvField, uiAbsPartIdx);
+        pcCUDes->setPredictionMode(uiAbsPartIdx, MODE_INTRA);
+      }
+
+      for(UInt i = 1; i < unitNum; i++ )  
+      {
+        pcCUDes->getCUMvField(REF_PIC_LIST_0)->setMvField(pcCUDes->getCUMvField(REF_PIC_LIST_0)->getMv(uiAbsPartIdx), pcCUDes->getCUMvField(REF_PIC_LIST_0)->getRefIdx(uiAbsPartIdx), uiAbsPartIdx + i);
+        pcCUDes->getCUMvField(REF_PIC_LIST_1)->setMvField(pcCUDes->getCUMvField(REF_PIC_LIST_1)->getMv(uiAbsPartIdx), pcCUDes->getCUMvField(REF_PIC_LIST_1)->getRefIdx(uiAbsPartIdx), uiAbsPartIdx + i);
+        pcCUDes->setPredictionMode(uiAbsPartIdx+i, pcCUDes->getPredictionMode(uiAbsPartIdx))  ;
+      }
+    }
+      memset( pcCUDes->getPartitionSize(), SIZE_2Nx2N, sizeof(char)*uiNumPartitions);
+  }
 }
 #endif
Index: branches/SHM-1.0-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 32)
@@ -580,17 +580,17 @@
   for(Int refIdx = 0; refIdx < pcRefPicBL->getSlice(0)->getNumRefIdx(REF_PIC_LIST_0); refIdx++) 
   {
-	  ilpPic[0]->getSlice(0)->setRefPOC(pcRefPicBL->getSlice(0)->getRefPOC(REF_PIC_LIST_0, refIdx), REF_PIC_LIST_0, refIdx); 
+    ilpPic[0]->getSlice(0)->setRefPOC(pcRefPicBL->getSlice(0)->getRefPOC(REF_PIC_LIST_0, refIdx), REF_PIC_LIST_0, refIdx); 
   }
   for(Int refIdx = 0; refIdx < pcRefPicBL->getSlice(0)->getNumRefIdx(REF_PIC_LIST_1); refIdx++) 
   {
-	  ilpPic[0]->getSlice(0)->setRefPOC(pcRefPicBL->getSlice(0)->getRefPOC(REF_PIC_LIST_1, refIdx), REF_PIC_LIST_1, refIdx);
+    ilpPic[0]->getSlice(0)->setRefPOC(pcRefPicBL->getSlice(0)->getRefPOC(REF_PIC_LIST_1, refIdx), REF_PIC_LIST_1, refIdx);
   }
   for(Int refIdx = 0; refIdx < pcRefPicBL->getSlice(0)->getNumRefIdx(REF_PIC_LIST_0); refIdx++) 
   {
-	  ilpPic[0]->getSlice(0)->setRefPic(pcRefPicBL->getSlice(0)->getRefPic(REF_PIC_LIST_0, refIdx), REF_PIC_LIST_0, refIdx); 
+    ilpPic[0]->getSlice(0)->setRefPic(pcRefPicBL->getSlice(0)->getRefPic(REF_PIC_LIST_0, refIdx), REF_PIC_LIST_0, refIdx); 
   }
   for(Int refIdx = 0; refIdx < pcRefPicBL->getSlice(0)->getNumRefIdx(REF_PIC_LIST_1); refIdx++) 
   {
-	  ilpPic[0]->getSlice(0)->setRefPic(pcRefPicBL->getSlice(0)->getRefPic(REF_PIC_LIST_1, refIdx), REF_PIC_LIST_1, refIdx); 
+    ilpPic[0]->getSlice(0)->setRefPic(pcRefPicBL->getSlice(0)->getRefPic(REF_PIC_LIST_1, refIdx), REF_PIC_LIST_1, refIdx); 
   }
   return;
Index: branches/SHM-1.0-dev/source/Lib/TLibCommon/TComYuv.h
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibCommon/TComYuv.h	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibCommon/TComYuv.h	(revision 32)
@@ -116,5 +116,5 @@
   Void    copyFromPicChroma    ( TComPicYuv* pcPicYuvSrc, UInt iCuAddr, UInt uiAbsZorderIdx );
 #if NO_RESIDUAL_FLAG_FOR_BLPRED
-  Void		copyFromPicLuma  ( TComPicYuv* pcPicYuvSrc, UInt iCuAddr, UInt uiZorderIdxInCU, UInt uiAbsZorderIdx, UInt uiWidth, UInt uiHeight );
+  Void    copyFromPicLuma  ( TComPicYuv* pcPicYuvSrc, UInt iCuAddr, UInt uiZorderIdxInCU, UInt uiAbsZorderIdx, UInt uiWidth, UInt uiHeight );
   Void    copyFromPicChroma( TComPicYuv* pcPicYuvSrc, UInt iCuAddr, UInt uiZorderIdxInCU, UInt uiAbsZorderIdx, UInt uiCWidth, UInt uiCHeight, UInt uiChromaId  );
 #endif
Index: branches/SHM-1.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 32)
@@ -847,7 +847,7 @@
   if(pcSPS->getLayerId() > 0)
   {
-	  READ_FLAG( uiCode, "sps_enh_mfm_enable_flag" );
-	  pcSPS->setMFMEnabledFlag( uiCode ? true : false );
-	  assert(pcSPS->getMFMEnabledFlag()); 
+    READ_FLAG( uiCode, "sps_enh_mfm_enable_flag" );
+    pcSPS->setMFMEnabledFlag( uiCode ? true : false );
+    assert(pcSPS->getMFMEnabledFlag()); 
   }
 #endif
Index: branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 32)
@@ -603,6 +603,6 @@
   if( pcSPS->getLayerId() > 0 )
   {
-	  assert(pcSPS->getMFMEnabledFlag());
-	  WRITE_FLAG( pcSPS->getMFMEnabledFlag() ? 1 : 0,          "sps_enh_mfm_enable_flag" );
+    assert(pcSPS->getMFMEnabledFlag());
+    WRITE_FLAG( pcSPS->getMFMEnabledFlag() ? 1 : 0,          "sps_enh_mfm_enable_flag" );
   }
 #endif
Index: branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCu.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncCu.cpp	(revision 32)
@@ -1352,7 +1352,7 @@
     {
 #if REF_IDX_ME_ZEROMV
-		Bool bZeroMVILR = rpcTempCU->xCheckZeroMVILRMerge(uhInterDirNeighbours[uiMergeCand], cMvFieldNeighbours[0 + 2*uiMergeCand], cMvFieldNeighbours[1 + 2*uiMergeCand]);
-		if(bZeroMVILR)
-		{
+    Bool bZeroMVILR = rpcTempCU->xCheckZeroMVILRMerge(uhInterDirNeighbours[uiMergeCand], cMvFieldNeighbours[0 + 2*uiMergeCand], cMvFieldNeighbours[1 + 2*uiMergeCand]);
+    if(bZeroMVILR)
+    {
 #endif
         if(!(uiNoResidual==1 && mergeCandBuffer[uiMergeCand]==1))
@@ -1408,5 +1408,5 @@
     }
 #if REF_IDX_ME_ZEROMV 
-	}
+  }
 #endif
    }
Index: branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 27)
+++ branches/SHM-1.0-dev/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 32)
@@ -3187,5 +3187,5 @@
     uhInterDirNeighbours[uiMergeCand] = 0;
     cMvFieldNeighbours[0 + 2*uiMergeCand].setMvField(TComMv(), NOT_VALID);
-	  cMvFieldNeighbours[1 + 2*uiMergeCand].setMvField(TComMv(), NOT_VALID);
+    cMvFieldNeighbours[1 + 2*uiMergeCand].setMvField(TComMv(), NOT_VALID);
   }
 #endif
@@ -3212,7 +3212,7 @@
   {
 #if REF_IDX_ME_ZEROMV
-	  Bool bZeroMVILR = pcCU->xCheckZeroMVILRMerge(uhInterDirNeighbours[uiMergeCand], cMvFieldNeighbours[0 + 2*uiMergeCand], cMvFieldNeighbours[1 + 2*uiMergeCand]);
-	  if(bZeroMVILR)
-	  {
+    Bool bZeroMVILR = pcCU->xCheckZeroMVILRMerge(uhInterDirNeighbours[uiMergeCand], cMvFieldNeighbours[0 + 2*uiMergeCand], cMvFieldNeighbours[1 + 2*uiMergeCand]);
+    if(bZeroMVILR)
+    {
 #endif
       UInt uiCostCand = MAX_UINT;
@@ -3240,5 +3240,5 @@
       }
 #if REF_IDX_ME_ZEROMV
-	  }
+    }
 #endif
     }
@@ -3429,7 +3429,7 @@
         {
 #if REF_IDX_ME_ZEROMV 
-		  Bool bZeroMVILR = pcCU->xCheckZeroMVILRMvdL1Zero(iRefList, iRefIdxTemp, aaiMvpIdx[iRefList][iRefIdxTemp]);
-		  if(bZeroMVILR)
-		  {
+      Bool bZeroMVILR = pcCU->xCheckZeroMVILRMvdL1Zero(iRefList, iRefIdxTemp, aaiMvpIdx[iRefList][iRefIdxTemp]);
+      if(bZeroMVILR)
+      {
 #endif
           bestBiPDist = biPDistTemp;
@@ -3437,5 +3437,5 @@
           bestBiPRefIdxL1 = iRefIdxTemp;
 #if REF_IDX_ME_ZEROMV
-		  }
+      }
 #endif
         }
@@ -3577,5 +3577,5 @@
     //  Bi-directional prediction
 #if REF_IDX_ME_ZEROMV
-	if ( (pcCU->getSlice()->isInterB()) && (pcCU->isBipredRestriction(iPartIdx) == false) && !(pcCU->getSlice()->getMvdL1ZeroFlag() && bestBiPDist == MAX_INT) )
+  if ( (pcCU->getSlice()->isInterB()) && (pcCU->isBipredRestriction(iPartIdx) == false) && !(pcCU->getSlice()->getMvdL1ZeroFlag() && bestBiPDist == MAX_INT) )
 #else
     if ( (pcCU->getSlice()->isInterB()) && (pcCU->isBipredRestriction(iPartIdx) == false) )