Index: trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-1.5x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 600         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : BQTerrace_1280x720_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 720         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : BQTerrace_1920x1080_60.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 600         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : BQTerrace_960x540_60_zerophase_0.9pi.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 960         # Input  frame width
+SourceHeight0                 : 540         # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : BQTerrace_1920x1080_60.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/BQTerrace-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 600         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : BQTerrace_1920x1080_60.yuv
+FrameRate0                    : 60          # Frame Rate per second
+SourceWidth0                  : 1920        # Input  frame width
+SourceHeight0                 : 1080        # Input  frame height
+IntraPeriod0                  : 64          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : BQTerrace_1920x1080_60.yuv
+FrameRate1                    : 60          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 64          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 2)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-1.5x.cfg	(revision 36)
@@ -1,3 +1,3 @@
-NumLayers											: 2
+NumLayers					  : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -11,4 +11,5 @@
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -18,2 +19,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 2)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-2x.cfg	(revision 36)
@@ -1,3 +1,3 @@
-NumLayers											: 2
+NumLayers					  : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -19,2 +19,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 2)
+++ trunk/cfg/per-sequence-svc/BasketballDrive-SNR.cfg	(revision 36)
@@ -1,3 +1,3 @@
-NumLayers											: 2
+NumLayers					  : 2
 InputBitDepth                 : 8           # Input bitdepth
 FrameSkip                     : 0           # Number of frames to be skipped in input
@@ -11,4 +11,5 @@
 IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
 QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
 
 InputFile1                    : BasketballDrive_1920x1080_50.yuv
@@ -18,2 +19,3 @@
 IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
 QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-1.5x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 500         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Cactus_1280x720_50_zerophase_0.9pi.yuv
+FrameRate0                    : 50          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 720         # Input  frame height
+IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Cactus_1920x1080_50.yuv
+FrameRate1                    : 50          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Cactus-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 500         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Cactus_960x540_50_zerophase_0.9pi.yuv
+FrameRate0                    : 50          # Frame Rate per second
+SourceWidth0                  : 960         # Input  frame width
+SourceHeight0                 : 540         # Input  frame height
+IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Cactus_1920x1080_50.yuv
+FrameRate1                    : 50          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Cactus-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Cactus-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 500         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Cactus_1920x1080_50.yuv
+FrameRate0                    : 50          # Frame Rate per second
+SourceWidth0                  : 1920        # Input  frame width
+SourceHeight0                 : 1080        # Input  frame height
+IntraPeriod0                  : 48          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Cactus_1920x1080_50.yuv
+FrameRate1                    : 50          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 48          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-1.5x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Kimono1_1280x720_24_zerophase_0.9pi.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 720         # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Kimono1_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Kimono-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Kimono1_960x540_24_zerophase_0.9pi.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 960         # Input  frame width
+SourceHeight0                 : 540         # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Kimono1_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Kimono-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Kimono-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Kimono1_1920x1080_24.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 1920        # Input  frame width
+SourceHeight0                 : 1080        # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Kimono1_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-1.5x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers											: 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : ParkScene_1280x720_24_zerophase_0.9pi.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 720         # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : ParkScene_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/ParkScene-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : ParkScene_960x540_24_zerophase_0.9pi.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 960         # Input  frame width
+SourceHeight0                 : 540         # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : ParkScene_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/ParkScene-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 240         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : ParkScene_1920x1080_24.yuv
+FrameRate0                    : 24          # Frame Rate per second
+SourceWidth0                  : 1920        # Input  frame width
+SourceHeight0                 : 1080        # Input  frame height
+IntraPeriod0                  : 24          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : ParkScene_1920x1080_24.yuv
+FrameRate1                    : 24          # Frame Rate per second
+SourceWidth1                  : 1920        # Input  frame width
+SourceHeight1                 : 1080        # Input  frame height
+IntraPeriod1                  : 24          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 150         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : PeopleOnStreet_1280x800_30_crop_zerophase_0.9pi.yuv
+FrameRate0                    : 30          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 800         # Input  frame height
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
+FrameRate1                    : 30          # Frame Rate per second
+SourceWidth1                  : 2560        # Input  frame width
+SourceHeight1                 : 1600        # Input  frame height
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/PeopleOnStreet-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 150         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : PeopleOnStreet_2560x1600_30_crop.yuv
+FrameRate0                    : 30          # Frame Rate per second
+SourceWidth0                  : 2560        # Input  frame width
+SourceHeight0                 : 1600        # Input  frame height
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : PeopleOnStreet_2560x1600_30_crop.yuv
+FrameRate1                    : 30          # Frame Rate per second
+SourceWidth1                  : 2560        # Input  frame width
+SourceHeight1                 : 1600        # Input  frame height
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Traffic-2x.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Traffic-2x.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 150         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Traffic_1280x800_30_crop_zerophase_0.9pi.yuv
+FrameRate0                    : 30          # Frame Rate per second
+SourceWidth0                  : 1280        # Input  frame width
+SourceHeight0                 : 800         # Input  frame height
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Traffic_2560x1600_30_crop.yuv
+FrameRate1                    : 30          # Frame Rate per second
+SourceWidth1                  : 2560        # Input  frame width
+SourceHeight1                 : 1600        # Input  frame height
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding
Index: trunk/cfg/per-sequence-svc/Traffic-SNR.cfg
===================================================================
--- trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 36)
+++ trunk/cfg/per-sequence-svc/Traffic-SNR.cfg	(revision 36)
@@ -0,0 +1,21 @@
+NumLayers					  : 2
+InputBitDepth                 : 8           # Input bitdepth
+FrameSkip                     : 0           # Number of frames to be skipped in input
+FramesToBeEncoded             : 150         # Number of frames to be coded
+
+#======== File I/O ===============
+InputFile0                    : Traffic_2560x1600_30_crop.yuv
+FrameRate0                    : 30          # Frame Rate per second
+SourceWidth0                  : 2560        # Input  frame width
+SourceHeight0                 : 1600        # Input  frame height
+IntraPeriod0                  : 32          # Period of I-Frame ( -1 = only first)
+QP0                           : 22
+CroppingMode0                 : 1           # automatic padding
+
+InputFile1                    : Traffic_2560x1600_30_crop.yuv
+FrameRate1                    : 30          # Frame Rate per second
+SourceWidth1                  : 2560        # Input  frame width
+SourceHeight1                 : 1600        # Input  frame height
+IntraPeriod1                  : 32          # Period of I-Frame ( -1 = only first)
+QP1                           : 20
+CroppingMode1                 : 1           # automatic padding